Function
iter
Iterator to item at given position.
Iterator iter(object, pos [, tag])
Include Headers
seqan/sequence.h
Parameters

object | A container. Types: AlignCols, Iterator Proxy, String, StringSet
pos | The position of an item in object. Metafunctions: Position
tag | An iterator spec tag that specifies the kind of the iterator returned. (optional) Default: Given by DefaultGetIteratorSpec.

Remarks
If pos is out of range, then the behavior of the function is undefined.
Return Values
An iterator to the item at position pos in object. The type is the result of Iterator<TContainer, TTag>::Type where TContainer is the type of object and TTag is the type of tag.
Metafunctions: Iterator
Member of
Iterator Proxy, Gaps, String
See Also
Position, Iterator, value
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58